Latest 0.1.1
Homepage https://github.com/jfuellert/JFDeviceComparison
License MIT
Platforms ios 7.0, requires ARC
Frameworks UIKit
Authors

JFDeviceComparison is a UIDevice category which is used to compare device versions. It uses the system machine information to determine and compare against device types.

Purpose

The main purpose of this software is to provide developers with a simple way compare device versions.

Installation

Install via CocoaPods
Add the following line to your .podfile

pod 'JFDeviceComparison'

Support

IOS

Earliest tested and supported build and deployment target – iOS 7.0.
Latest tested and supported build and deployment target – iOS 9.3.

ARC Compatibility

JFDeviceComparison is built from ARC and is ARC-only compatible.

Usage

Compare against current device

[UIDevice isCurrentDeviceGreaterOrEqualToVersion:kUIDeviceVersion_iPhone3GS];

Compare against a specified device

[UIDevice isDeviceGreaterOrEqualToVersion:kUIDeviceVersion_iPhone3GS deviceName:kUIDeviceVersion_iPhone6];

Latest podspec

{
    "name": "JFDeviceComparison",
    "version": "0.1.1",
    "summary": "JFDeviceComparison is a UIDevice category which is used to compare device versions.",
    "description": "JFDeviceComparison is a UIDevice category which is used to compare device versions. It uses the system machine information to determine and compare against device types.",
    "homepage": "https://github.com/jfuellert/JFDeviceComparison",
    "license": {
        "type": "MIT",
        "file": "LICENSE"
    },
    "authors": {
        "jfuellert": "[email protected]"
    },
    "source": {
        "git": "https://github.com/jfuellert/JFDeviceComparison.git",
        "tag": "0.1.1"
    },
    "platforms": {
        "ios": "7.0"
    },
    "requires_arc": true,
    "source_files": "JFDeviceComparison/JFDeviceComparison/**/*.{h,m}",
    "public_header_files": "JFDeviceComparison/JFDeviceComparison/UIDevice+JFDeviceComparison.h",
    "frameworks": "UIKit"
}

Pin It on Pinterest

Share This